/*
 * zsconfig.defaults.h - ZipScript-C default config file
 * 
 * DO NOT EDIT THIS FILE!!
 * 
 * This file contains all settings, and it's default values. You should not edit
 * this file, but instead copy the settings you need into zsconfig.h, which
 * will override the default settings found in here. So do not remove or
 * change anything in this file!! A complete list of settings, with comments
 * can be found in README.ZSCONFIG
 */

#ifndef GROUPFILE
#define GROUPFILE_is_defaulted
#define GROUPFILE                               "/etc/group"
#endif

#ifndef PASSWDFILE
#define PASSWDFILE_is_defaulted
#define PASSWDFILE                              "/etc/passwd"
#endif

#ifndef accept_script
#define accept_script_is_defaulted
#define accept_script                           "/bin/imdb_parse.sh"
#endif

#ifndef affil_script
#define affil_script_is_defaulted
#define affil_script                            "/bin/affilscript.sh"
#endif

#ifndef allow_dir_chown_in_ng_chown
#define allow_dir_chown_in_ng_chown_is_defaulted
#define allow_dir_chown_in_ng_chown             FALSE
#endif

#ifndef allow_error2_in_unzip
#define allow_error2_in_unzip_is_defaulted
#define allow_error2_in_unzip                   FALSE
#endif

#ifndef allow_file_resume
#define allow_file_resume_is_defaulted
#define allow_file_resume                       FALSE
#endif

#ifndef allow_files_chown_in_ng_chown
#define allow_files_chown_in_ng_chown_is_defaulted
#define allow_files_chown_in_ng_chown           FALSE
#endif

#ifndef allow_files_not_in_sfv
#define allow_files_not_in_sfv_is_defaulted
#define allow_files_not_in_sfv                  FALSE
#endif

#ifndef allow_gid_change_in_ng_chown
#define allow_gid_change_in_ng_chown_is_defaulted
#define allow_gid_change_in_ng_chown            FALSE
#endif

#ifndef allow_slash_in_sfv
#define allow_slash_in_sfv_is_defaulted
#define allow_slash_in_sfv                      TRUE
#endif

#ifndef allow_uid_change_in_ng_chown
#define allow_uid_change_in_ng_chown_is_defaulted
#define allow_uid_change_in_ng_chown            FALSE
#endif

#ifndef allowed_constant_bitrates
#define allowed_constant_bitrates_is_defaulted
#define allowed_constant_bitrates               "160,192"
#endif

#ifndef allowed_genres
#define allowed_genres_is_defaulted
#define allowed_genres                          "Top 40,Pop Funk,Rock,Pop"
#endif

#ifndef allowed_types
#define allowed_types_is_defaulted
#define allowed_types                           "jpg,cue,m3u,mpg,mpeg,avi,txt,mov,vob,mkv,wmv"
#endif

#ifndef allowed_types_exemption_dirs
#define allowed_types_exemption_dirs_is_defaulted
#define allowed_types_exemption_dirs            "/site/incoming/musicvideos/"
#endif

#ifndef allowed_years
#define allowed_years_is_defaulted
#define allowed_years                           "2004,2005,2006,2007"
#endif

#ifndef always_scan_audio_syms
#define always_scan_audio_syms_is_defaulted
#define always_scan_audio_syms                  FALSE
#endif

#ifndef announce_norace
#define announce_norace_is_defaulted
#define announce_norace                         TRUE
#endif

#ifndef audio_allowed_genre_check
#define audio_allowed_genre_check_is_defaulted
#define audio_allowed_genre_check               FALSE
#endif

#ifndef audio_artist_nosub
#define audio_artist_nosub_is_defaulted
#define audio_artist_nosub                      FALSE
#endif

#ifndef audio_artist_path
#define audio_artist_path_is_defaulted
#define audio_artist_path                       "/site/incoming/music.by.artist/"
#endif

#ifndef audio_artist_sort
#define audio_artist_sort_is_defaulted
#define audio_artist_sort                       FALSE
#endif

#ifndef audio_banned_genre_check
#define audio_banned_genre_check_is_defaulted
#define audio_banned_genre_check                TRUE
#endif

#ifndef audio_cbr_check
#define audio_cbr_check_is_defaulted
#define audio_cbr_check                         TRUE
#endif

#ifndef audio_cbr_warn
#define audio_cbr_warn_is_defaulted
#define audio_cbr_warn                          TRUE
#endif

#ifndef audio_completebar
#define audio_completebar_is_defaulted
#define audio_completebar                       "[%Z] - ( %.0mM %fF - COMPLETE - %w %Y ) - [%Z]"
#endif

#ifndef audio_genre_path
#define audio_genre_path_is_defaulted
#define audio_genre_path                        "/site/incoming/music.by.genre/"
#endif

#ifndef audio_genre_sort
#define audio_genre_sort_is_defaulted
#define audio_genre_sort                        FALSE
#endif

#ifndef audio_genre_warn
#define audio_genre_warn_is_defaulted
#define audio_genre_warn                        TRUE
#endif

#ifndef audio_group_path
#define audio_group_path_is_defaulted
#define audio_group_path                        "/site/incoming/music.by.group/"
#endif

#ifndef audio_group_sort
#define audio_group_sort_is_defaulted
#define audio_group_sort                        FALSE
#endif

#ifndef audio_ignored_languages
#define audio_ignored_languages_is_defaulted
#define audio_ignored_languages                 "md,cd,lp,ep,va"
#endif

#ifndef audio_language_path
#define audio_language_path_is_defaulted
#define audio_language_path                     "/site/incoming/music.by.language/"
#endif

#ifndef audio_language_sort
#define audio_language_sort_is_defaulted
#define audio_language_sort                     FALSE
#endif

#ifndef audio_nocheck_dirs
#define audio_nocheck_dirs_is_defaulted
#define audio_nocheck_dirs                      "/site/groups/ /site/incoming/requests/"
#endif

#ifndef audio_nosort_dirs
#define audio_nosort_dirs_is_defaulted
#define audio_nosort_dirs                       "/site/incoming/requests/"
#endif

#ifndef audio_year_check
#define audio_year_check_is_defaulted
#define audio_year_check                        TRUE
#endif

#ifndef audio_year_path
#define audio_year_path_is_defaulted
#define audio_year_path                         "/site/incoming/music.by.year/"
#endif

#ifndef audio_year_sort
#define audio_year_sort_is_defaulted
#define audio_year_sort                         FALSE
#endif

#ifndef audio_year_warn
#define audio_year_warn_is_defaulted
#define audio_year_warn                         TRUE
#endif

#ifndef banned_filelist
#define banned_filelist_is_defaulted
#define banned_filelist                         "/ftp-data/misc/banned_filelist.txt"
#endif

#ifndef banned_genres
#define banned_genres_is_defaulted
#define banned_genres                           "Christian Rap,Christian Gangsta Rap,Contemporary Christian,Christian Rock"
#endif

#ifndef benchmark_mode
#define benchmark_mode_is_defaulted
#define benchmark_mode                          TRUE
#endif

#ifndef change_spaces_to_underscore_in_ng_chown
#define change_spaces_to_underscore_in_ng_chown_is_defaulted
#define change_spaces_to_underscore_in_ng_chown TRUE
#endif

#ifndef charbar_filled
#define charbar_filled_is_defaulted
#define charbar_filled                          "#"
#endif

#ifndef charbar_missing
#define charbar_missing_is_defaulted
#define charbar_missing                         ":"
#endif

#ifndef check_for_banned_files
#define check_for_banned_files_is_defaulted
#define check_for_banned_files                  TRUE
#endif

#ifndef check_for_missing_nfo_dirs
#define check_for_missing_nfo_dirs_is_defaulted
#define check_for_missing_nfo_dirs              "/site/incoming/games/ /site/incoming/apps/"
#endif

#ifndef chmod_completebar
#define chmod_completebar_is_defaulted
#define chmod_completebar                       FALSE
#endif

#ifndef cleanupdirs
#define cleanupdirs_is_defaulted
#define cleanupdirs                             "/site/test/ /site/incoming/games/ /site/incoming/apps/ /site/incoming/musicvideos/"
#endif

#ifndef cleanupdirs_dated
#define cleanupdirs_dated_is_defaulted
#define cleanupdirs_dated                       "/site/incoming/0day/%m%d/ /site/incoming/mp3/%m%d/"
#endif

#ifndef combine_path
#define combine_path_is_defaulted
#define combine_path                            FALSE
#endif

#ifndef complete_script
#define complete_script_is_defaulted
#define complete_script                         "/bin/nfo_copy.sh"
#endif

#ifndef create_incomplete_links_in_group_dirs
#define create_incomplete_links_in_group_dirs_is_defaulted
#define create_incomplete_links_in_group_dirs   TRUE
#endif

#ifndef create_m3u
#define create_m3u_is_defaulted
#define create_m3u                              TRUE
#endif

#ifndef create_missing_files
#define create_missing_files_is_defaulted
#define create_missing_files                    TRUE
#endif

#ifndef create_missing_sfv
#define create_missing_sfv_is_defaulted
#define create_missing_sfv                      FALSE
#endif

#ifndef create_missing_sfv_link
#define create_missing_sfv_link_is_defaulted
#define create_missing_sfv_link                 TRUE
#endif

#ifndef custom_group_dirs_complete_message
#define custom_group_dirs_complete_message_is_defaulted
#define custom_group_dirs_complete_message      "... Looks like this is a pre. :)\n"
#endif

#ifndef days_back_cleanup
#define days_back_cleanup_is_defaulted
#define days_back_cleanup                       2
#endif

#ifndef debug_altlog
#define debug_altlog_is_defaulted
#define debug_altlog                            TRUE
#endif

#ifndef debug_announce
#define debug_announce_is_defaulted
#define debug_announce                          FALSE
#endif

#ifndef debug_mode
#define debug_mode_is_defaulted
#define debug_mode                              FALSE
#endif

#ifndef del_banned_release
#define del_banned_release_is_defaulted
#define del_banned_release                      FALSE
#endif

#ifndef del_completebar
#define del_completebar_is_defaulted
#define del_completebar                         "^\\[.*] - \\( .*F - COMPLETE.*) - \\[.*]$"
#endif

#ifndef del_progressmeter
#define del_progressmeter_is_defaulted
#define del_progressmeter                       "^\\[.*] - .*%% Complete - \\[.*]$"
#endif

#ifndef del_progressmeter_mp3
#define del_progressmeter_mp3_is_defaulted
#define del_progressmeter_mp3                   "^\\[.*] - .*%% Complete - (.*) \\[.*]$"
#endif

#ifndef delete_old_link
#define delete_old_link_is_defaulted
#define delete_old_link                         TRUE
#endif

#ifndef deny_double_nfo
#define deny_double_nfo_is_defaulted
#define deny_double_nfo                         FALSE
#endif

#ifndef deny_double_sfv
#define deny_double_sfv_is_defaulted
#define deny_double_sfv                         FALSE
#endif

#ifndef deny_nfo_upload_in_zip
#define deny_nfo_upload_in_zip_is_defaulted
#define deny_nfo_upload_in_zip                  FALSE
#endif

#ifndef deny_resume_sfv
#define deny_resume_sfv_is_defaulted
#define deny_resume_sfv                         TRUE
#endif

#ifndef disable_audio_complete
#define disable_audio_complete_is_defaulted
#define disable_audio_complete                  FALSE
#endif

#ifndef disable_audio_halfway
#define disable_audio_halfway_is_defaulted
#define disable_audio_halfway                   FALSE
#endif

#ifndef disable_audio_newleader
#define disable_audio_newleader_is_defaulted
#define disable_audio_newleader                 FALSE
#endif

#ifndef disable_audio_norace_complete
#define disable_audio_norace_complete_is_defaulted
#define disable_audio_norace_complete           FALSE
#endif

#ifndef disable_audio_norace_halfway
#define disable_audio_norace_halfway_is_defaulted
#define disable_audio_norace_halfway            FALSE
#endif

#ifndef disable_audio_race
#define disable_audio_race_is_defaulted
#define disable_audio_race                      FALSE
#endif

#ifndef disable_audio_sfv
#define disable_audio_sfv_is_defaulted
#define disable_audio_sfv                       FALSE
#endif

#ifndef disable_audio_update
#define disable_audio_update_is_defaulted
#define disable_audio_update                    FALSE
#endif

#ifndef disable_other_complete
#define disable_other_complete_is_defaulted
#define disable_other_complete                  FALSE
#endif

#ifndef disable_other_halfway
#define disable_other_halfway_is_defaulted
#define disable_other_halfway                   FALSE
#endif

#ifndef disable_other_newleader
#define disable_other_newleader_is_defaulted
#define disable_other_newleader                 FALSE
#endif

#ifndef disable_other_norace_complete
#define disable_other_norace_complete_is_defaulted
#define disable_other_norace_complete           FALSE
#endif

#ifndef disable_other_norace_halfway
#define disable_other_norace_halfway_is_defaulted
#define disable_other_norace_halfway            FALSE
#endif

#ifndef disable_other_race
#define disable_other_race_is_defaulted
#define disable_other_race                      FALSE
#endif

#ifndef disable_other_sfv
#define disable_other_sfv_is_defaulted
#define disable_other_sfv                       FALSE
#endif

#ifndef disable_other_update
#define disable_other_update_is_defaulted
#define disable_other_update                    FALSE
#endif

#ifndef disable_rar_complete
#define disable_rar_complete_is_defaulted
#define disable_rar_complete                    FALSE
#endif

#ifndef disable_rar_halfway
#define disable_rar_halfway_is_defaulted
#define disable_rar_halfway                     FALSE
#endif

#ifndef disable_rar_newleader
#define disable_rar_newleader_is_defaulted
#define disable_rar_newleader                   FALSE
#endif

#ifndef disable_rar_norace_complete
#define disable_rar_norace_complete_is_defaulted
#define disable_rar_norace_complete             FALSE
#endif

#ifndef disable_rar_norace_halfway
#define disable_rar_norace_halfway_is_defaulted
#define disable_rar_norace_halfway              FALSE
#endif

#ifndef disable_rar_race
#define disable_rar_race_is_defaulted
#define disable_rar_race                        FALSE
#endif

#ifndef disable_rar_sfv
#define disable_rar_sfv_is_defaulted
#define disable_rar_sfv                         FALSE
#endif

#ifndef disable_rar_update
#define disable_rar_update_is_defaulted
#define disable_rar_update                      FALSE
#endif

#ifndef disable_video_complete
#define disable_video_complete_is_defaulted
#define disable_video_complete                  FALSE
#endif

#ifndef disable_video_halfway
#define disable_video_halfway_is_defaulted
#define disable_video_halfway                   FALSE
#endif

#ifndef disable_video_newleader
#define disable_video_newleader_is_defaulted
#define disable_video_newleader                 FALSE
#endif

#ifndef disable_video_norace_complete
#define disable_video_norace_complete_is_defaulted
#define disable_video_norace_complete           FALSE
#endif

#ifndef disable_video_norace_halfway
#define disable_video_norace_halfway_is_defaulted
#define disable_video_norace_halfway            FALSE
#endif

#ifndef disable_video_race
#define disable_video_race_is_defaulted
#define disable_video_race                      FALSE
#endif

#ifndef disable_video_sfv
#define disable_video_sfv_is_defaulted
#define disable_video_sfv                       FALSE
#endif

#ifndef disable_video_update
#define disable_video_update_is_defaulted
#define disable_video_update                    FALSE
#endif

#ifndef disable_zip_complete
#define disable_zip_complete_is_defaulted
#define disable_zip_complete                    FALSE
#endif

#ifndef disable_zip_halfway
#define disable_zip_halfway_is_defaulted
#define disable_zip_halfway                     FALSE
#endif

#ifndef disable_zip_newleader
#define disable_zip_newleader_is_defaulted
#define disable_zip_newleader                   FALSE
#endif

#ifndef disable_zip_norace_complete
#define disable_zip_norace_complete_is_defaulted
#define disable_zip_norace_complete             FALSE
#endif

#ifndef disable_zip_norace_halfway
#define disable_zip_norace_halfway_is_defaulted
#define disable_zip_norace_halfway              FALSE
#endif

#ifndef disable_zip_race
#define disable_zip_race_is_defaulted
#define disable_zip_race                        FALSE
#endif

#ifndef disable_zip_sfv
#define disable_zip_sfv_is_defaulted
#define disable_zip_sfv                         FALSE
#endif

#ifndef disable_zip_update
#define disable_zip_update_is_defaulted
#define disable_zip_update                      FALSE
#endif

#ifndef dupepath
#define dupepath_is_defaulted
#define dupepath                                "/ftp-data/logs/dupefile"
#endif

#ifndef enable_accept_script
#define enable_accept_script_is_defaulted
#define enable_accept_script                    FALSE
#endif

#ifndef enable_affil_script
#define enable_affil_script_is_defaulted
#define enable_affil_script                     FALSE
#endif

#ifndef enable_complete_script
#define enable_complete_script_is_defaulted
#define enable_complete_script                  FALSE
#endif

#ifndef enable_files_ahead
#define enable_files_ahead_is_defaulted
#define enable_files_ahead                      TRUE
#endif

#ifndef enable_mp3_script
#define enable_mp3_script_is_defaulted
#define enable_mp3_script                       FALSE
#endif

#ifndef enable_nfo_script
#define enable_nfo_script_is_defaulted
#define enable_nfo_script                       FALSE
#endif

#ifndef enable_sample_script
#define enable_sample_script_is_defaulted
#define enable_sample_script                    FALSE
#endif

#ifndef enable_unduper_script
#define enable_unduper_script_is_defaulted
#define enable_unduper_script                   TRUE
#endif

#ifndef exclude_non_sfv_dirs
#define exclude_non_sfv_dirs_is_defaulted
#define exclude_non_sfv_dirs                    TRUE
#endif

#ifndef extract_nfo
#define extract_nfo_is_defaulted
#define extract_nfo                             TRUE
#endif

#ifndef force_sfv_first
#define force_sfv_first_is_defaulted
#define force_sfv_first                         FALSE
#endif

#ifndef get_competitor_list
#define get_competitor_list_is_defaulted
#define get_competitor_list                     TRUE
#endif

#ifndef get_user_stats
#define get_user_stats_is_defaulted
#define get_user_stats                          TRUE
#endif

#ifndef gl_sections
#define gl_sections_is_defaulted
#define gl_sections                             "DEFAULT"
#endif

#ifndef gl_userfiles
#define gl_userfiles_is_defaulted
#define gl_userfiles                            "/ftp-data/users/"
#endif

#ifndef group_dirs
#define group_dirs_is_defaulted
#define group_dirs                              "/site/groups/"
#endif

#ifndef hide_affil_gname
#define hide_affil_gname_is_defaulted
#define hide_affil_gname                        "NoGroup"
#endif

#ifndef hide_affil_groups
#define hide_affil_groups_is_defaulted
#define hide_affil_groups                       ""
#endif

#ifndef hide_affil_uname
#define hide_affil_uname_is_defaulted
#define hide_affil_uname                        "NoUser"
#endif

#ifndef hide_affil_users
#define hide_affil_users_is_defaulted
#define hide_affil_users                        ""
#endif

#ifndef hide_gname
#define hide_gname_is_defaulted
#define hide_gname                              ""
#endif

#ifndef hide_group_uploaders
#define hide_group_uploaders_is_defaulted
#define hide_group_uploaders                    TRUE
#endif

#ifndef hide_uname
#define hide_uname_is_defaulted
#define hide_uname                              ""
#endif

#ifndef ignore_lock_timeout
#define ignore_lock_timeout_is_defaulted
#define ignore_lock_timeout                     FALSE
#endif

#ifndef ignore_zero_size
#define ignore_zero_size_is_defaulted
#define ignore_zero_size                        FALSE
#endif

#ifndef ignore_zero_sized_on_rescan
#define ignore_zero_sized_on_rescan_is_defaulted
#define ignore_zero_sized_on_rescan             FALSE
#endif

#ifndef ignored_types
#define ignored_types_is_defaulted
#define ignored_types                           ",diz,debug,message,imdb,html,url,m3u,metadata"
#endif

#ifndef incomplete_base_nfo_indicator
#define incomplete_base_nfo_indicator_is_defaulted
#define incomplete_base_nfo_indicator           "../../(no-nfo)-%1"
#endif

#ifndef incomplete_base_sfv_indicator
#define incomplete_base_sfv_indicator_is_defaulted
#define incomplete_base_sfv_indicator           "../../(no-sfv)-%1"
#endif

#ifndef incomplete_cd_indicator
#define incomplete_cd_indicator_is_defaulted
#define incomplete_cd_indicator                 "../../(incomplete)-(%0)-%1"
#endif

#ifndef incomplete_generic1_base_nfo_indicator
#define incomplete_generic1_base_nfo_indicator_is_defaulted
#define incomplete_generic1_base_nfo_indicator  "/site/incompletes/(no-nfo)-%1"
#endif

#ifndef incomplete_generic1_base_sfv_indicator
#define incomplete_generic1_base_sfv_indicator_is_defaulted
#define incomplete_generic1_base_sfv_indicator  "/site/incompletes/(no-sfv)-%1"
#endif

#ifndef incomplete_generic1_cd_indicator
#define incomplete_generic1_cd_indicator_is_defaulted
#define incomplete_generic1_cd_indicator        "/site/incompletes/(incomplete)-(%0)-%1"
#endif

#ifndef incomplete_generic1_indicator
#define incomplete_generic1_indicator_is_defaulted
#define incomplete_generic1_indicator           "/site/incompletes/(incomplete)-%0"
#endif

#ifndef incomplete_generic1_nfo_indicator
#define incomplete_generic1_nfo_indicator_is_defaulted
#define incomplete_generic1_nfo_indicator       "/site/incompletes/(no-nfo)-%0"
#endif

#ifndef incomplete_generic1_path
#define incomplete_generic1_path_is_defaulted
#define incomplete_generic1_path                ""
#endif

#ifndef incomplete_generic1_sfv_indicator
#define incomplete_generic1_sfv_indicator_is_defaulted
#define incomplete_generic1_sfv_indicator       "/site/incompletes/(no-sfv)-%0"
#endif

#ifndef incomplete_generic2_base_nfo_indicator
#define incomplete_generic2_base_nfo_indicator_is_defaulted
#define incomplete_generic2_base_nfo_indicator  "/site/incompletes/(no-nfo)-%1"
#endif

#ifndef incomplete_generic2_base_sfv_indicator
#define incomplete_generic2_base_sfv_indicator_is_defaulted
#define incomplete_generic2_base_sfv_indicator  "/site/incompletes/(no-sfv)-%1"
#endif

#ifndef incomplete_generic2_cd_indicator
#define incomplete_generic2_cd_indicator_is_defaulted
#define incomplete_generic2_cd_indicator        "/site/incompletes/(incomplete)-(%0)-%1"
#endif

#ifndef incomplete_generic2_indicator
#define incomplete_generic2_indicator_is_defaulted
#define incomplete_generic2_indicator           "/site/incompletes/(incomplete)-%0"
#endif

#ifndef incomplete_generic2_nfo_indicator
#define incomplete_generic2_nfo_indicator_is_defaulted
#define incomplete_generic2_nfo_indicator       "/site/incompletes/(no-nfo)-%0"
#endif

#ifndef incomplete_generic2_path
#define incomplete_generic2_path_is_defaulted
#define incomplete_generic2_path                ""
#endif

#ifndef incomplete_generic2_sfv_indicator
#define incomplete_generic2_sfv_indicator_is_defaulted
#define incomplete_generic2_sfv_indicator       "/site/incompletes/(no-sfv)-%0"
#endif

#ifndef incomplete_indicator
#define incomplete_indicator_is_defaulted
#define incomplete_indicator                    "../(incomplete)-%0"
#endif

#ifndef incomplete_nfo_indicator
#define incomplete_nfo_indicator_is_defaulted
#define incomplete_nfo_indicator                "../(no-nfo)-%0"
#endif

#ifndef incomplete_sfv_indicator
#define incomplete_sfv_indicator_is_defaulted
#define incomplete_sfv_indicator                "../(no-sfv)-%0"
#endif

#ifndef incompleteislink
#define incompleteislink_is_defaulted
#define incompleteislink                        1
#endif

#ifndef lock_optimize
#define lock_optimize_is_defaulted
#define lock_optimize                           1
#endif

#ifndef log
#define log_is_defaulted
#define log                                     "/ftp-data/logs/glftpd.log"
#endif

#ifndef mark_empty_dirs_as_incomplete_on_rescan
#define mark_empty_dirs_as_incomplete_on_rescan_is_defaulted
#define mark_empty_dirs_as_incomplete_on_rescan FALSE
#endif

#ifndef mark_file_as_bad
#define mark_file_as_bad_is_defaulted
#define mark_file_as_bad                        FALSE
#endif

#ifndef max_groups_in_top
#define max_groups_in_top_is_defaulted
#define max_groups_in_top                       7
#endif

#ifndef max_seconds_wait_for_lock
#define max_seconds_wait_for_lock_is_defaulted
#define max_seconds_wait_for_lock               20
#endif

#ifndef max_users_in_top
#define max_users_in_top_is_defaulted
#define max_users_in_top                        7
#endif

#ifndef message_file_name
#define message_file_name_is_defaulted
#define message_file_name                       ".message"
#endif

#ifndef message_footer
#define message_footer_is_defaulted
#define message_footer                          "`-----================---------------------------==------------------'\n"
#endif

#ifndef message_group_body
#define message_group_body_is_defaulted
#define message_group_body                      "| %3n %-29g %7.1mM %4fF %5.1p%% %7.0sKBs |\n"
#endif

#ifndef message_group_footer
#define message_group_footer_is_defaulted
#define message_group_footer                    "|- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |\n| %3g Total %31.1mM %4fF 100.0%% %7.0aKBs |\n"
#endif

#ifndef message_group_header
#define message_group_header_is_defaulted
#define message_group_header                    "|                                                                    |\n|-=[ G R O U P T O P ]=-------------.                                |\n|                                    `--------------===--------------|\n"
#endif

#ifndef message_header
#define message_header_is_defaulted
#define message_header                          ".-----------------====---------------------------== PZS-NG v1.0 ===--.\n"
#endif

#ifndef message_mp3
#define message_mp3_is_defaulted
#define message_mp3                             "|                                                                    |\n|-=[ I D 3 - T A G ]=---------------.                                |\n|                                    `-----==-------------===--------|\n| Artist : %-57x |\n| Album  : %-57W |\n| Genre  : %-34w Rate  : %3Xkbit/s      |\n| Tracks : %-34f Year  : %-14Y |\n| Encoder: %-34i Preset: %-14I |\n"
#endif

#ifndef message_user_body
#define message_user_body_is_defaulted
#define message_user_body                       "| %3n %-29U %7.1mM %4fF %5.1p%% %7.0sKBs |\n"
#endif

#ifndef message_user_footer
#define message_user_footer_is_defaulted
#define message_user_footer                     "|- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - |\n| %3u Total %31.1mM %4fF 100.0%% %7.0aKBs |\n"
#endif

#ifndef message_user_header
#define message_user_header_is_defaulted
#define message_user_header                     "|-=[ U S E R T O P ]=---------------.                                |\n|                                    `-----------------====----------|\n"
#endif

#ifndef min_halfway_files
#define min_halfway_files_is_defaulted
#define min_halfway_files                       10
#endif

#ifndef min_halfway_size
#define min_halfway_size_is_defaulted
#define min_halfway_size                        10
#endif

#ifndef min_newleader_files
#define min_newleader_files_is_defaulted
#define min_newleader_files                     1
#endif

#ifndef min_newleader_size
#define min_newleader_size_is_defaulted
#define min_newleader_size                      10
#endif

#ifndef min_update_files
#define min_update_files_is_defaulted
#define min_update_files                        2
#endif

#ifndef min_update_size
#define min_update_size_is_defaulted
#define min_update_size                         1
#endif

#ifndef mp3_script
#define mp3_script_is_defaulted
#define mp3_script                              "/bin/ng-chown"
#endif

#ifndef mp3_script_cookies
#define mp3_script_cookies_is_defaulted
#define mp3_script_cookies                      "0 0 0 1 0 1 - \"%w\" \"%?\""
#endif

#ifndef newleader_files_ahead
#define newleader_files_ahead_is_defaulted
#define newleader_files_ahead                   2
#endif

#ifndef nfo_script
#define nfo_script_is_defaulted
#define nfo_script                              "/bin/psxc-imdb.sh"
#endif

#ifndef nocheck_dirs
#define nocheck_dirs_is_defaulted
#define nocheck_dirs                            "/site/private/"
#endif

#ifndef noforce_sfv_first_dirs
#define noforce_sfv_first_dirs_is_defaulted
#define noforce_sfv_first_dirs                  "/site/incoming/requests/"
#endif

#ifndef other_completebar
#define other_completebar_is_defaulted
#define other_completebar                       "[%Z] - ( %.0mM %fF - COMPLETE ) - [%Z]"
#endif

#ifndef program_gid
#define program_gid_is_defaulted
#define program_gid                             0
#endif

#ifndef program_uid
#define program_uid_is_defaulted
#define program_uid                             0
#endif

#ifndef progressmeter
#define progressmeter_is_defaulted
#define progressmeter                           "[%V] - %3.0p%% Complete - [%Z]"
#endif

#ifndef progressmeter_mp3
#define progressmeter_mp3_is_defaulted
#define progressmeter_mp3                       "[%V] - %3.0p%% Complete - (%w) [%Z]"
#endif

#ifndef racersmsg
#define racersmsg_is_defaulted
#define racersmsg                               "{%u} {%g}"
#endif

#ifndef racersplit
#define racersplit_is_defaulted
#define racersplit                              ""
#endif

#ifndef racersplit_prior
#define racersplit_prior_is_defaulted
#define racersplit_prior                        ""
#endif

#ifndef rar_completebar
#define rar_completebar_is_defaulted
#define rar_completebar                         "[%Z] - ( %.0mM %fF - COMPLETE ) - [%Z]"
#endif

#ifndef realtime_group_body
#define realtime_group_body_is_defaulted
#define realtime_group_body                     "| %2n. %-15g %8.1mMB %4fF %7.0skB/s |\n"
#endif

#ifndef realtime_group_footer
#define realtime_group_footer_is_defaulted
#define realtime_group_footer                   ""
#endif

#ifndef realtime_group_header
#define realtime_group_header_is_defaulted
#define realtime_group_header                   "+-=[GroupTop]=--------------------===--------------+\n"
#endif

#ifndef realtime_mp3_info
#define realtime_mp3_info_is_defaulted
#define realtime_mp3_info                       "+-=[ID3tag]=------------------------===------------+\n| Title  : %-39y |\n| Artist : %-39x |\n| Album  : %-39W |\n| Genre  : %-39w |\n| Year   : %-39Y |\n"
#endif

#ifndef realtime_user_body
#define realtime_user_body_is_defaulted
#define realtime_user_body                      "| %2n. %-15u %8.1mMB %4fF %7.0skB/s |\n"
#endif

#ifndef realtime_user_footer
#define realtime_user_footer_is_defaulted
#define realtime_user_footer                    ""
#endif

#ifndef realtime_user_header
#define realtime_user_header_is_defaulted
#define realtime_user_header                    "+-=[UserTop]=-------------------===----------------+\n"
#endif

#ifndef remove_dot_debug_on_delete
#define remove_dot_debug_on_delete_is_defaulted
#define remove_dot_debug_on_delete              TRUE
#endif

#ifndef remove_dot_files_on_delete
#define remove_dot_files_on_delete_is_defaulted
#define remove_dot_files_on_delete              FALSE
#endif

#ifndef rescan_chdir_flags
#define rescan_chdir_flags_is_defaulted
#define rescan_chdir_flags                      ""
#endif

#ifndef rescan_default_to_quick
#define rescan_default_to_quick_is_defaulted
#define rescan_default_to_quick                 TRUE
#endif

#ifndef rescan_nocheck_dirs_allowed
#define rescan_nocheck_dirs_allowed_is_defaulted
#define rescan_nocheck_dirs_allowed             TRUE
#endif

#ifndef sample_list
#define sample_list_is_defaulted
#define sample_list                             "sample vobsample"
#endif

#ifndef sample_script
#define sample_script_is_defaulted
#define sample_script                           "/bin/sample_script.sh"
#endif

#ifndef sfv_calc_single_fname
#define sfv_calc_single_fname_is_defaulted
#define sfv_calc_single_fname                   FALSE
#endif

#ifndef sfv_cleanup
#define sfv_cleanup_is_defaulted
#define sfv_cleanup                             TRUE
#endif

#ifndef sfv_cleanup_crlf
#define sfv_cleanup_crlf_is_defaulted
#define sfv_cleanup_crlf                        TRUE
#endif

#ifndef sfv_cleanup_lowercase
#define sfv_cleanup_lowercase_is_defaulted
#define sfv_cleanup_lowercase                   TRUE
#endif

#ifndef sfv_dirs
#define sfv_dirs_is_defaulted
#define sfv_dirs                                "/site/test/ /site/incoming/mp3/ /site/incoming/games/ /site/incoming/apps/ /site/incoming/musicvideos/ /site/incoming/requests/"
#endif

#ifndef sfv_dupecheck
#define sfv_dupecheck_is_defaulted
#define sfv_dupecheck                           TRUE
#endif

#ifndef sfv_lenient
#define sfv_lenient_is_defaulted
#define sfv_lenient                             TRUE
#endif

#ifndef short_sitename
#define short_sitename_is_defaulted
#define short_sitename                          "NG"
#endif

#ifndef show_group_info
#define show_group_info_is_defaulted
#define show_group_info                         TRUE
#endif

#ifndef show_stats_from_pos2_only
#define show_stats_from_pos2_only_is_defaulted
#define show_stats_from_pos2_only               FALSE
#endif

#ifndef show_user_info
#define show_user_info_is_defaulted
#define show_user_info                          TRUE
#endif

#ifndef show_users_in_group_dirs
#define show_users_in_group_dirs_is_defaulted
#define show_users_in_group_dirs                FALSE
#endif

#ifndef sitepath_dir
#define sitepath_dir_is_defaulted
#define sitepath_dir                            "/site/"
#endif

#ifndef sleep_on_bad
#define sleep_on_bad_is_defaulted
#define sleep_on_bad                            0
#endif

#ifndef spaces_to_dots
#define spaces_to_dots_is_defaulted
#define spaces_to_dots                          FALSE
#endif

#ifndef speedtest_delfile
#define speedtest_delfile_is_defaulted
#define speedtest_delfile                       FALSE
#endif

#ifndef speedtest_dirs
#define speedtest_dirs_is_defaulted
#define speedtest_dirs                          "/site/speedtest/"
#endif

#ifndef status_bar_type
#define status_bar_type_is_defaulted
#define status_bar_type                         1
#endif

#ifndef storage
#define storage_is_defaulted
#define storage                                 "/ftp-data/pzs-ng/"
#endif

#ifndef strict_path_match
#define strict_path_match_is_defaulted
#define strict_path_match                       FALSE
#endif

#ifndef strict_sfv_check
#define strict_sfv_check_is_defaulted
#define strict_sfv_check                        FALSE
#endif

#ifndef subdir_list
#define subdir_list_is_defaulted
#define subdir_list                             "cd??,disc??,disk??,dvd??,extra?,sub?,subtitle?,vobsub?,sample?,subpack?,ac3,audioaddon,addon,ac3addon"
#endif

#ifndef test_for_password
#define test_for_password_is_defaulted
#define test_for_password                       TRUE
#endif

#ifndef unduper_script
#define unduper_script_is_defaulted
#define unduper_script                          "/bin/ng-undupe"
#endif

#ifndef unzip_bin
#define unzip_bin_is_defaulted
#define unzip_bin                               "/bin/unzip"
#endif

#ifndef use_group_dirs_as_affil_list
#define use_group_dirs_as_affil_list_is_defaulted
#define use_group_dirs_as_affil_list            FALSE
#endif

#ifndef use_partial_on_noforce
#define use_partial_on_noforce_is_defaulted
#define use_partial_on_noforce                  FALSE
#endif

#ifndef userellink
#define userellink_is_defaulted
#define userellink                              1
#endif

#ifndef video_completebar
#define video_completebar_is_defaulted
#define video_completebar                       "[%Z] - ( %.0mM %fF - COMPLETE ) - [%Z]"
#endif

#ifndef video_types
#define video_types_is_defaulted
#define video_types                             "mpg,mpeg,m2v,m2p,avi"
#endif

#ifndef write_complete_message
#define write_complete_message_is_defaulted
#define write_complete_message                  TRUE
#endif

#ifndef write_complete_message_in_group_dirs
#define write_complete_message_in_group_dirs_is_defaulted
#define write_complete_message_in_group_dirs    TRUE
#endif

#ifndef zip_bin
#define zip_bin_is_defaulted
#define zip_bin                                 "/bin/zip"
#endif

#ifndef zip_clean
#define zip_clean_is_defaulted
#define zip_clean                               TRUE
#endif

#ifndef zip_completebar
#define zip_completebar_is_defaulted
#define zip_completebar                         "[%Z] - ( %.0mM %fF - COMPLETE ) - [%Z]"
#endif

#ifndef zip_dirs
#define zip_dirs_is_defaulted
#define zip_dirs                                "/site/test/ /site/incoming/0day/"
#endif

#ifndef zipscript_SFV_ok
#define zipscript_SFV_ok_is_defaulted
#define zipscript_SFV_ok                        "| + CRC-Check: oK!                                 |\n"
#endif

#ifndef zipscript_SFV_skip
#define zipscript_SFV_skip_is_defaulted
#define zipscript_SFV_skip                      "| + CRC-Check: SKIPPED!                            |\n"
#endif

#ifndef zipscript_any_ok
#define zipscript_any_ok_is_defaulted
#define zipscript_any_ok                        "| + File: ok! (allowed w/o any checks)             |\n"
#endif

#ifndef zipscript_footer_error
#define zipscript_footer_error_is_defaulted
#define zipscript_footer_error                  "| - %-46v |\n`-----------------------------------========-------'\n"
#endif

#ifndef zipscript_footer_ok
#define zipscript_footer_ok_is_defaulted
#define zipscript_footer_ok                     "`-[%V]----------------------[%3F/%-3f]--'\n"
#endif

#ifndef zipscript_footer_skip
#define zipscript_footer_skip_is_defaulted
#define zipscript_footer_skip                   "`--------------------------------=====-------------'\n"
#endif

#ifndef zipscript_footer_unknown
#define zipscript_footer_unknown_is_defaulted
#define zipscript_footer_unknown                "`-[ - NO - SFV - ]----------------------[%3F/???]--'\n"
#endif

#ifndef zipscript_header
#define zipscript_header_is_defaulted
#define zipscript_header                        ".-== PZS-NG Zipscript-C ==-------------------------.\n"
#endif

#ifndef zipscript_sfv_ok
#define zipscript_sfv_ok_is_defaulted
#define zipscript_sfv_ok                        "| + SFV-file: oK!                                  |\n"
#endif

#ifndef zipscript_zip_ok
#define zipscript_zip_ok_is_defaulted
#define zipscript_zip_ok                        "| + ZiP integrity: oK!                             |\n"
#endif

#ifndef zsinternal_checks_completed
#define zsinternal_checks_completed_is_defaulted
#define zsinternal_checks_completed             "Checks completed in %0.6f seconds.\n"
#endif

